← OBPv7.0.0 Create Product Collection PUT /obp/v7.0.0/banks/BANK_ID/product-collections/COLLECTION_CODE OBPv3.1.0-createProductCollection Roles: CanMaintainProductCollection(per bank) Product-CollectionProduct Create or Update a Product Collection at the Bank. Use Product Collections to create Product "Baskets", "Portfolios", "Indices", "Collections", "Underlyings-lists", "Buckets" etc. etc. There is a many to many relationship between Products and Product Collections: A Product can exist in many Collections A Collection can contain many Products. A collection has collection code, one parent Product and one or more child Products. Product hiearchy vs Product Collections: You can define a hierarchy of products - so that a child Product inherits attributes of its parent Product - using the parent_product_code in Product. You can define a collection (also known as baskets or buckets) of products using Product Collections. User Authentication is Required. The User must be logged in. The Application must also be authenticated. URL Parameters: BANK_ID: gh.29.uk COLLECTION_CODE: JSON response body fields (5) collection_code items member_product_code product_code 1234BWproduct_collection Example request body { "parent_product_code": "A", "children_product_codes": [ "B", "C", "D" ] } Example success response { "product_collection": [ { "collection_code": "C", "product_code": "1234BW", "items": [ { "member_product_code": "A" }, { "member_product_code": "B" } ] } ] } Possible errors (4) OBP-20001: User not logged in. Authentication is required!OBP-30001: Bank not found. Please specify a valid value for BANK_ID.OBP-20006: User is missing one or more roles: OBP-50000: Unknown Error.